%define module  pypar
%define name 	python-%{module}
%define version 1.9.2
%define release 1

%define module_dir %(echo -n %{module}_%{version} | sed -e 's/\\\./_/g')

Summary: 	Pypar is a set of simple Python bindings for a subset of MPI
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	%{module}-%{version}.tar.bz2
Patch0:		setup-patch.bz2
License: 	GPL
Group: 		Development/Python
Url: 		http://datamining.anu.edu.au/~ole/pypar
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python >= 2.0
BuildRequires:	libmpich1-devel, gcc, python-devel >= 2.0

%description
Pypar is an efficient but easy-to-use module that allows programs and
scripts written in Python to run in parallel on multiple processors
and communicate using message passing. Pypar provides bindings to an
important subset of the message passing interface standard MPI.

%prep
%setup -n %{module_dir} -q 
%patch0 -p0

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc DOC README FAQ documentation/ examples/

%changelog
* Tue Jul 19 2005 Lev Givon <lev@columbia.edu> 1.9.2-1mdk
- package for Mandriva
